Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Class IPClassVariable

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.IPClassVariable

All Implemented Interfaces:
  Serializable

public class IPClassVariable
extends Object
implements Serializable

Represents a Java class variable; allow the Prolog side to conveniently refer any class variable

See Also:
  Serialized Form

Field Summary
`String` | `className`
`String` | `variableName`

Constructor Summary
`IPClassVariable(String c, String v)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### className

    public String className

### variableName

    public String variableName

Constructor Detail

### IPClassVariable

    public IPClassVariable(String c,
                           String v)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD